diff cdg3/makecdg.sh @ 16:c15047b3d00d

cdg3: import from freecalypso-citrine/cdg
author Mychaela Falconia <falcon@freecalypso.org>
date Tue, 27 Sep 2016 16:27:34 +0000
parents
children 02269c474131
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/cdg3/makecdg.sh	Tue Sep 27 16:27:34 2016 +0000
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+set -e
+
+if [ $# != 1 ]
+then
+	echo "Usage: %s config-name" 1>&2
+	exit 1
+fi
+
+if [ ! -f "fflags-$1.h" ]
+then
+	echo "error: specified configuration is not known" 1>&2
+	exit 1
+fi
+
+rm -rf tempout
+mkdir tempout
+
+# nowhine is a wrapper around wine that suppresses some obnoxious whine,
+# see leo2moko.  TZ=GMT avoids some pesky time zone issues.
+# The arguments to ccdgen have been taken from TCS211 pdt_*.mak makefiles.
+
+TZ=GMT nowhine ccdgen.exe -h -m512 -a2 -ifflags-$1.h -otempout -Rpdf-mdf-list
+
+echo "Converting from CRLF to UNIX line endings"
+
+rm -rf cdginc-$1
+mkdir cdginc-$1
+
+# fromdos comes with Slackware, dunno about other distros
+for i in `cat gen-file-list`
+do
+	fromdos < tempout/$i > cdginc-$1/$i
+done